NodeRingsDocs

Update Game Server Template

PATCH
/v1/game-server-templates/{id}
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

idstring
nestId?integer
Formatint32
eggId?integer
Formatint32
startup?string
dockerImage?string
versionVariable?string
icon?string
confirmed?boolean
hidden?boolean

Response Body

application/json

curl -X PATCH "https://api.noderings.com/v1/game-server-templates/{id}" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "nestId": 0,  "eggId": 0,  "startup": "string",  "dockerImage": "string",  "versionVariable": "string",  "icon": "string",  "confirmed": false,  "hidden": false}'
{
  "id": "string",
  "platformId": "string",
  "catalogKey": "string",
  "name": "string",
  "icon": "string",
  "nestId": 0,
  "eggId": 0,
  "suggestedNestId": 0,
  "suggestedEggId": 0,
  "startup": "string",
  "dockerImage": "string",
  "versionVariable": "string",
  "confirmed": true,
  "hidden": true,
  "matchStatus": "GAME_SERVER_MATCH_STATUS_UNSPECIFIED"
}